The BOOST_PP_SEQ_POP_BACK macro pops an element from the end of a seq.

#### Usage

BOOST_PP_SEQ_POP_BACK(seq)

#### Arguments

seq
  The seq to pop an element from.

#### Remarks

This macro returns seq after removing the last element.

#### See Also

- BOOST_PP_SEQ_POP_FRONT

#### Requirements

Header: <boost/preprocessor/seq/pop_back.hpp>

#### Sample Code

    #include <boost/preprocessor/seq/pop_back.hpp>

    #define SEQ (a)(b)(c)

    BOOST_PP_SEQ_POP_BACK(SEQ) // expands to (a)(b)

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)